(use-modules (gnu home)
             (gnu packages)
			 (gnu packages games)
			 (gnu packages mpd)
             (gnu services)
             (guix gexp)
			 (guix packages)
			 (gnu home services)
             (gnu home services shells)
			 (gnu home services shepherd)
			 (gnu home services syncthing))

(define cataclysm-dda-xdg
  (package
   (inherit cataclysm-dda)
   (name "cataclysm-dda-xdg")
   (arguments
	(list
	 #:make-flags
	 #~(list (string-append "PREFIX=" #$output)
			 "USE_XDG_DIR=1" "DYNAMIC_LINKING=1" "RELEASE=1"
			 "LOCALIZE=1" "LANGUAGES=all")
	 #:phases
	 #~(modify-phases %standard-phases
					  (delete 'configure))
	 #:tests? #f))))

(home-environment
 ;; Below is the list of packages that will show up in your
 ;; Home profile, under ~/.guix-home/profile.
 (packages (append
			(specifications->packages (list "alsa-utils"
											"bat"
											"calibre"
											"curl"
											"deluge"
											"emacs"
											"emacs-aggressive-indent"
											"emacs-calibredb"
											"emacs-company"
											"emacs-geiser"
											"emacs-geiser-guile"
											"emacs-ivy"
											"emacs-ligature"
											"emacs-magit"
											"emacs-paredit"
											"emacs-rustic"
											"emacs-sly"
											"emacs-swiper"
											"emacs-which-key"
											"emacs-yasnippet"
											"firefox-wayland"
											"fish"
											"flatpak"
											"font-awesome"
											"font-google-noto"
											"font-google-noto-sans-cjk"
											"font-google-noto-emoji"
											"font-iosevka-aile"
											"font-iosevka-etoile"
											"font-iosevka-slab"
											"font-iosevka-term-slab"
											"fossil"
											"gcc-toolchain"
											"git"
											"gnome-keyring"
											"gnupg"
											"guile"
											"guile-goblins"
											"guile-hall"
											"guile-ncurses"
											"guile-ts"
											"harmonist"
											"haunt"
											"jq"
											"kitty"
											"lagrange"
											"make"
											"mpd"
											"mpd-mpc"
											"mpv"
											"mupdf"
											"musescore"
											"ncmpcpp"
											"neomutt"
											"nethack"
											"nheko"
											"password-store"
											"picom"
											"pinentry-qt"
											"python"
											"rust"
											"rust-analyzer"
											"rust-cargo"
											"rofi-wayland"
											"sbcl"
											"skribilo"
											"sqlite"
											"steam"
											"sway"
											"syncthing"
											"toot"
											"tree-sitter-scheme"
											"waybar"
											"xdg-desktop-portal"
											"xdg-utils"
											"xterm"
											"yt-dlp"
											"ytfzf"
											"zoom"))
			`(,cataclysm-dda-xdg)))

 ;; Below is the list of Home services.  To search for available
 ;; services, run 'guix home search KEYWORD' in a terminal.
 (services
  (list (service home-bash-service-type
                 (home-bash-configuration
                  (aliases '(("grep" . "grep --color=auto") ("ll" . "ls -l")
                             ("ls" . "ls -p --color=auto")))
				  (environment-variables
				   '(("HISTFILE" . "${XDG_STATE_HOME}/bash/history")))
                  (bashrc (list (local-file "./.bashrc" "bashrc")))
                  (bash-profile (list (local-file "./.bash_profile"
                                                  "bash_profile")))))
		(service home-shepherd-service-type
				 (home-shepherd-configuration
				  (services
				   (list
					(shepherd-service
					 (provision '(mpd-home))
					 (documentation "it mpd")
					 (start #~(make-system-constructor "mpd"))
					 (stop #~(make-system-destructor "mpd" "--kill")))))))
		(service home-xdg-configuration-files-service-type
				 `(("sway/config" ,(local-file "./sway"))
				   ("mpd/mpd.conf" ,(local-file "./mpd.conf"))
				   ("waybar" ,(local-file "./waybar" #:recursive? #t))
				   ("kitty/kitty.conf" ,(local-file "./kitty.conf"))
				   ("fish" ,(local-file "./fish" #:recursive? #t))
				   ("rofi/config.rasi" ,(local-file "./rofi")))))))
